﻿
// Copyright Christophe Bertrand.

using System.Collections.Generic;

namespace ParsedAssemblyQualifiedName
{
	class Program
	{
		static void Main(string[] args)
		{
			{
				var parsed = new ParsedAssemblyQualifiedName("System.Collections.Generic.List`1[[UniversalSerializerLib.SerializationTypeDescriptor, UniversalSerializer1, Version=1.0.0.0, Culture=neutral, PublicKeyToken=null]], mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089");
				var t = parsed.FoundType.Value;
				var an = parsed.AssemblyNameDescriptor.Value;
				var cs = parsed.CSharpStyleName.Value;
				var vb = parsed.VBNetStyleName.Value;
			}
			{
				var parsed = new ParsedAssemblyQualifiedName(typeof(Dictionary<int, List<double>>).AssemblyQualifiedName);
				var t = parsed.FoundType.Value;
				var an = parsed.AssemblyNameDescriptor.Value;
				var cs = parsed.CSharpStyleName.Value;
				var vb = parsed.VBNetStyleName.Value;
			}
		}
	}
}
